#include "stdafx.h"
#include <string.h>
#include "ECPReader.h"
#include "BaseCommunication.h"

#define base CEC30Reader

CECPReader::CECPReader(CReader *Owner,CBaseCommunication *Communicator)
			  :base(Owner,Communicator)
{
}

CECPReader::~CECPReader(void)
{
}


uint16_t CECPReader::HostToReaderShort(uint16_t Value)
{
   return InversByteOrderShort(htons(Value));
}

uint32_t CECPReader::HostToReaderLong(uint32_t Value)
{
   return InversByteOrderLong(htonl(Value));
}

void CECPReader::SetHWString(char *String)
{
   strcpy(String,"ECP_");
}

void CECPReader::GetProductString(uint8_t *Product)
{
	memcpy(Product,"CJECP",5);
}


CJ_RESULT CECPReader::CtSetContrast(EContrast eContrast,uint32_t *Result)
{
	CJ_RESULT Res;
	switch(eContrast)
	{
	case ContrastVeryLow:
		Res=_CtSetContrast(70,Result);
		break;
	case ContrastLow:
		Res=_CtSetContrast(100,Result);
		break;
	case ContrastMedium:
		Res=_CtSetContrast(120,Result);
		break;
	case ContrastHigh:
		Res=_CtSetContrast(160,Result);
		break;
	case ContrastVeryHigh:
		Res=_CtSetContrast(255,Result);
		break;
	default:
		Res=CJ_ERR_WRONG_PARAMETER;
	}
	return Res;
}

